Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Problems building BIRT 3.7.1 from instructions
Problems building BIRT 3.7.1 from instructions [message #841117] Tue, 10 April 2012 19:21 Go to next message
d h is currently offline d h
Messages: 10
Registered: March 2012
Junior Member
Hi,
I'm trying to download and build Birt 3.7.1 with the instructions in the link on
wiki.eclipse.org BIRT/FAQ/Birt_Project#Q:_How_to_Build_BIRT_3.7.1.2B_from_GIT.3F

But I'm having problems.

In step 4f, Branch Selection it says to keep the default. The list of branches start with 2_1_0, 2_1_1_Branch_20060829, 2_1_2, ... to 2_6_2, 3_8_0, master. There's 18 of them in all. I just want 3.7.1. Is there a way to just take that? Does master equate to 3.8.0?
I kept the default...

In step 5f where it says:
In "Import Projects", Deselect extension-*, *.features, *.nl, *osgi*, *test*,
org.eclipse.birt.build, org.eclipse.birt.releng.birtbuilder,
org.eclipse.birt.releng.util.
I can't seem to get the filter text so that it unselects the projects for: extension-*, *.features, *.nl, *osgi*, *test*... etc

I've let it add all or a lot of the projects and then gone in and deleted extension-*, *.features, *.nl, *osgi*, *test*, org.eclipse.birt.build, org.eclipse.birt.releng.birtbuilder
But then I get 250 errors. The first is: "API analysis aborted for 'org.eclipse.birt.report.engine.dataextraction' since its build path is incomplete"
Then there are bunch of ColumnDefinition, DataElementAttributes, DataSetDesign, cannot be resolved to a type.

I also tried the Import Projects and just imported everything. No filtering anything.
There are again a bunch of ColumnDefinition, DataElementAttributes, DataSetDesign, cannot be resolved to a type.

Did something change with the Birt 3.7.1 build from the time this document was written till now?
Thanks,
Don


Re: Problems building BIRT 3.7.1 from instructions [message #846611 is a reply to message #841117] Mon, 16 April 2012 04:32 Go to previous messageGo to next message
Xiaoying Gu is currently offline Xiaoying Gu
Messages: 51
Registered: July 2009
Member
Hi Don,

The document did not change for the 3.7.1 release build.

>>In step 4f, Branch Selection it says to keep the default. The list of branches start with 2_1_0, 2_1_1_Branch_20060829, 2_1_2, ... to 2_6_2, 3_8_0, master. There's 18 of them in all. I just want 3.7.1. Is there a way to just take that? Does master equate to 3.8.0?

You can select only one branch to clone when clone repo from remote. The current master branch is for 4.2.0 stream.

After clone from the remote repo, you can check out the 3.7.1 release tag to your git working directory before importing projects to worksapce.

And did you use BIRT All-In-One to get the source and compiling?
I did not get the compile error you listed above.
Re: Problems building BIRT 3.7.1 from instructions [message #854338 is a reply to message #846611] Mon, 23 April 2012 18:18 Go to previous messageGo to next message
d h is currently offline d h
Messages: 10
Registered: March 2012
Junior Member
Hi,
Thanks for your reply.
I was able to finally get rid of the errors by doing an update of the birt plugins.
Now I have a workspace with all of the birt packages in the .metadata directory.
How do I build this into a war file?
Thanks,
Don
Re: Problems building BIRT 3.7.1 from instructions [message #854361 is a reply to message #854338] Mon, 23 April 2012 18:48 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Have you tried:
http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_do_I_export_the_3.7_BIRT_web_viewer.3F
or
http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_do_I_export_org.eclipse.birt.report.runtime_jar_for_3.7_BIRT_web_viewer.3F

Jason

On 4/23/2012 6:18 PM, d h wrote:
> Hi,
> Thanks for your reply.
> I was able to finally get rid of the errors by doing an update of the
> birt plugins.
> Now I have a workspace with all of the birt packages in the .metadata
> directory. How do I build this into a war file?
> Thanks,
> Don
>
Re: Problems building BIRT 3.7.1 from instructions [message #855319 is a reply to message #854361] Tue, 24 April 2012 14:07 Go to previous messageGo to next message
d h is currently offline d h
Messages: 10
Registered: March 2012
Junior Member
Hi Jason,
Thanks for your continued help. Both of these links refer to 3.7.0 and checking out the source from cvs. I started with the 3.7.1 code base from git. Shouldn't I do the checkouts from there?
Thanks,
Don

Re: Problems building BIRT 3.7.1 from instructions [message #856361 is a reply to message #855319] Wed, 25 April 2012 11:37 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

No, GIT is right. I was assuming you just wanted to build the web
viewer. If that is the case look at the wiki links for the
WebViewerPackager.xml comments after the source has been checked out.

Jason

On 4/24/2012 2:07 PM, d h wrote:
> Hi Jason,
> Thanks for your continued help. Both of these links refer to 3.7.0 and
> checking out the source from cvs. I started with the 3.7.1 code base
> from git. Shouldn't I do the checkouts from there?
> Thanks,
> Don
>
>
Re: Problems building BIRT 3.7.1 from instructions [message #856409 is a reply to message #856361] Wed, 25 April 2012 12:28 Go to previous messageGo to next message
d h is currently offline d h
Messages: 10
Registered: March 2012
Junior Member
Hi Jason,
I'm sorry, I should have been clear. And thank you for your patience.
I want to build the 3.7.1 org.eclipse.birt.report.runtime war.
There are instructions for in the FAQ for exporting the 3.7.0 org.eclipse.birt.report.runtime jar.
But those are for 3.7.0 and cvs.
I've gone down the path of trying to import org.eclipse.birt.build, org.eclipse.birt.releng.birtbuilder.
But then trying to run the ant build gives me errors.
Are there instructions for how to do this with git?
Thanks,
Don


Re: Problems building BIRT 3.7.1 from instructions [message #856442 is a reply to message #856409] Wed, 25 April 2012 13:02 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

I just tried this with the 3.7.2 source.
I started with :
http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_do_I_export_org.eclipse.birt.report.runtime_jar_for_3.7_BIRT_web_viewer.3F
step 7. But before I did that I had already checked out the birt source
and cleared any errors. I then checked out the
org.eclipse.birt.build, org.eclipse.birt.releng.birtbuilder projects
from git. I did steps 7-13 and it appears to work for me. Make sure
when you do the ant build that you use option 3 Run Ant Build... so it
will prompt for the specific build you want to do.

Jason

On 4/25/2012 12:28 PM, d h wrote:
> Hi Jason,
> I'm sorry, I should have been clear. And thank you for your patience.
> I want to build the 3.7.1 org.eclipse.birt.report.runtime war.
> There are instructions for in the FAQ for exporting the 3.7.0
> org.eclipse.birt.report.runtime jar.
> But those are for 3.7.0 and cvs.
> I've gone down the path of trying to import org.eclipse.birt.build,
> org.eclipse.birt.releng.birtbuilder.
> But then trying to run the ant build gives me errors.
> Are there instructions for how to do this with git?
> Thanks,
> Don
>
>
>
Re: Problems building BIRT 3.7.1 from instructions [message #881865 is a reply to message #856442] Tue, 05 June 2012 07:57 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
Hello,

I´ve the same problems which had d h at first time. I´m trying to make it by the instructions and have some errors. Could you tell me which plugins do you update and how?

Thanks in advice.
Re: Problems building BIRT 3.7.1 from instructions [message #881982 is a reply to message #881865] Tue, 05 June 2012 11:11 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

I did not update any plugins. What error are you getting and on what
step of the wiki?

Jason

On 6/5/2012 7:58 AM, Julio Perez wrote:
> Hello,
> I´ve the same problems which had d h at first time. I´m trying to make
> it by the instructions and have some errors. Could you tell me which
> plugins do you update and how?
>
> Thanks in advice.
Re: Problems building BIRT 3.7.1 from instructions [message #882011 is a reply to message #881982] Tue, 05 June 2012 12:17 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
Hello Jason,

I´m doing the build according of the wiki´s entry about "How to Build BIRT 3.7.1+ from GIT"
I follow all the steps mentioned there but when finish I don´t have only the error related to API_baselines, i´ve also this errors:

Description Resource Path Location Type
The method getRGBs() is undefined for the type ColorDialog ColorSelector.java /org.eclipse.birt.report.designer.ui/src/org/eclipse/birt/report/designer/internal/ui/swt/custom line 285 Java Problem
The method getRGBs() is undefined for the type ColorDialog ComboBoxColorCellEditor.java /org.eclipse.birt.report.designer.ui/src/org/eclipse/birt/report/designer/internal/ui/views/property/widgets line 353 Java Problem
The method isValidFilePath(HttpServletRequest, String) in the type ParameterAccessor is not applicable for the arguments (String) ParameterAccessorTest.java /org.eclipse.birt.report.viewer.tests/test/org/eclipse/birt/report/viewer/utility line 812 Java Problem
The method isValidFilePath(HttpServletRequest, String) in the type ParameterAccessor is not applicable for the arguments (String) ParameterAccessorTest.java /org.eclipse.birt.report.viewer.tests/test/org/eclipse/birt/report/viewer/utility line 821 Java Problem
Re: Problems building BIRT 3.7.1 from instructions [message #882020 is a reply to message #882011] Tue, 05 June 2012 12:34 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Did you do this step:
f) In "Import Projects", Deselect extension-*, *.features, *.nl, *osgi*,
*test*, org.eclipse.birt.build, org.eclipse.birt.releng.birtbuilder,
org.eclipse.birt.releng.util.

I noticed a couple of your errors are coming from a test project.

Jason


On 6/5/2012 12:17 PM, Julio Perez wrote:
> Hello Jason,
> I´m doing the build according of the wiki´s entry about "How to Build
> BIRT 3.7.1+ from GIT"
> I follow all the steps mentioned there but when finish I don´t have only
> the error related to API_baselines, i´ve also this errors:
>
> Description Resource Path Location Type
> The method getRGBs() is undefined for the type ColorDialog
> ColorSelector.java
> /org.eclipse.birt.report.designer.ui/src/org/eclipse/birt/report/designer/internal/ui/swt/custom
> line 285 Java Problem
> The method getRGBs() is undefined for the type ColorDialog
> ComboBoxColorCellEditor.java
> /org.eclipse.birt.report.designer.ui/src/org/eclipse/birt/report/designer/internal/ui/views/property/widgets
> line 353 Java Problem
> The method isValidFilePath(HttpServletRequest, String) in the type
> ParameterAccessor is not applicable for the arguments (String)
> ParameterAccessorTest.java
> /org.eclipse.birt.report.viewer.tests/test/org/eclipse/birt/report/viewer/utility
> line 812 Java Problem
> The method isValidFilePath(HttpServletRequest, String) in the type
> ParameterAccessor is not applicable for the arguments (String)
> ParameterAccessorTest.java
> /org.eclipse.birt.report.viewer.tests/test/org/eclipse/birt/report/viewer/utility
> line 821 Java Problem
>
Re: Problems building BIRT 3.7.1 from instructions [message #882051 is a reply to message #882011] Tue, 05 June 2012 13:56 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
First of all Jason, thanks for all.
I tell you,
Once this files with this extensions are be deleted I continue with errors refered to the methods getRGB() and setRGB().
Do you know what could it be?
Re: Problems building BIRT 3.7.1 from instructions [message #882141 is a reply to message #882051] Tue, 05 June 2012 19:23 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Did you use the allinone birt download to build the source?
I believe those calls are implemented in the org.eclipse.swt plugin.

Jason

On 6/5/2012 1:56 PM, Julio Perez wrote:
> First of all Jason, thanks for all.
> I tell you,
> Once this files with this extensions are be deleted I continue with
> errors refered to the methods getRGB() and setRGB().
> Do you know what could it be?
Re: Problems building BIRT 3.7.1 from instructions [message #882392 is a reply to message #882141] Wed, 06 June 2012 07:32 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
I´ve tested with the one in the instructions, Eclipse SDK 3.7, EMF+XSD,......., step by step,
and also downloading the Eclipse all in one 3.7.2 and installing there the SDK from the "Install new software" of Eclipse and both of them carry me to the same place.

I've tested in linux and Windows and both of them give me these errors.
Re: Problems building BIRT 3.7.1 from instructions [message #882647 is a reply to message #882392] Wed, 06 June 2012 19:05 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

I believe the error is due to checking out the source from head versus
checking out the 3.7.2 version. I tried it and got the same error as
you. I then switched to the GIT perspective and expanded the Tags tree
under Branches and located the 3.7.2 release tag. I then right clicked
on the release tag and selected the checkout option. After doing this
the source built fine.

Jason

On 6/6/2012 7:32 AM, Julio Perez wrote:
> I´ve tested with the one in the instructions, Eclipse SDK 3.7,
> EMF+XSD,......., step by step,
> and also downloading the Eclipse all in one 3.7.2 and installing there
> the SDK from the "Install new software" of Eclipse and both of them
> carry me to the same place.
>
> I've tested in linux and Windows and both of them give me these errors.
Re: Problems building BIRT 3.7.1 from instructions [message #886638 is a reply to message #882647] Fri, 15 June 2012 06:45 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
I got it.

Thank you Jason
Re: Problems building BIRT 3.7.1 from instructions [message #888531 is a reply to message #886638] Mon, 18 June 2012 04:45 Go to previous messageGo to next message
Julio Perez is currently offline Julio Perez
Messages: 6
Registered: May 2012
Junior Member
Hi again Jason,

I´m having problems when I try to build the Web Viewer. When I use ant build to make it, it creates me the birt_web folder, but after 20 seconds it gives me an error about a folder that doesn´t exists, caused by a variable which is not taking its value:


BUILD FAILED
C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\WebViewerPackager.xml:312: The following error occurred while executing this line:
C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\WebViewerPackager.xml:634: C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\${integrate.dir}\plugins does not exist.


Do i need to declare this variable anywhere?
What value to?

Thank you so much!
Re: Problems building BIRT 3.7.1 from instructions [message #888779 is a reply to message #888531] Mon, 18 June 2012 11:58 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

This link:
http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_do_I_export_the_3.7_BIRT_web_viewer.3F

Needs some updating with GIT instead of cvs, but look at step 9. You
will notice you have to set the integratedir to you allinone download
location.


Jason

On 6/18/2012 4:45 AM, Julio Perez wrote:
> Hi again Jason,
>
> I´m having problems when I try to build the Web Viewer. When I use ant
> build to make it, it creates me the birt_web folder, but after 20
> seconds it gives me an error about a folder that doesn´t exists, caused
> by a variable which is not taking its value:
>
>
> BUILD FAILED
> C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\WebViewerPackager.xml:312:
> The following error occurred while executing this line:
> C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\WebViewerPackager.xml:634:
> C:\Birt_372\eclipse\workspace\org.eclipse.birt\viewer\org.eclipse.birt.report.viewer\${integrate.dir}\plugins
> does not exist.
>
>
> Do i need to declare this variable anywhere? What value to?
>
> Thank you so much!
Re: Problems building BIRT 3.7.1 from instructions [message #906173 is a reply to message #888779] Fri, 31 August 2012 15:34 Go to previous messageGo to next message
Pamela White is currently offline Pamela White
Messages: 11
Registered: May 2011
Junior Member
Also having trouble with building BIRT 3.7X with GIT.
1. Downloaded all in one birt.
2. cloned GIT repository with Master branch
3. checked out tag BIRT_3_7_0_Release_20110606101 118235d.
1st Attempt: then imported files as directed in step f. and let the project build. Got 65 thousand or so errors.
Completely cleaned the workspace.
2nd Attempt: repeated steps 1-3. Just built what I had checked out. Now there are just three errors.
1. The "An API baseline has not be set for the current workspace"(as listed in the instructions so it is ok)
2. Plugin Problems- Bundle 'org.apache.jasper:bundle-version='5.5.17' cannot be resolved
3. Referenced element 'enablement' is not defined elementAdapters.exsd /org.eclipse.birt.report.designer.ui/schema line 92
4. Referenced element 'enablement' is not defined reportItemEditpart.exsd /org.eclipse.birt.report.designer.ui/schema line 51
I have seen the bug report for errors 3 and 4. (Bugzilla Bug 310987)
Clearly I have missed something. Could it be because the all in one BIRT is version 4.2 and the tagged version I checked out is 3.7? Thank you.


Re: Problems building BIRT 3.7.1 from instructions [message #906212 is a reply to message #906173] Fri, 31 August 2012 17:11 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Pamela

As stated in the bug you referenced 3 and 4 are caused by not installing
the EMF+XSD SDK 2.7.0 to the allinone. Error 1 is caused which has a
description in item 6. On your second one, which plugin is having the
issue?

Jason

On 8/31/2012 3:34 PM, Pamela White wrote:
> Also having trouble with building BIRT 3.7X with GIT. 1. Downloaded all
> in one birt.
> 2. cloned GIT repository with Master branch
> 3. checked out tag BIRT_3_7_0_Release_20110606101 118235d.
> 1st Attempt: then imported files as directed in step f. and let the
> project build. Got 65 thousand or so errors. Completely cleaned the
> workspace.
> 2nd Attempt: repeated steps 1-3. Just built what I had checked out. Now
> there are just three errors.
> 1. The "An API baseline has not be set for the current workspace"(as
> listed in the instructions so it is ok)
> 2. Plugin Problems- Bundle 'org.apache.jasper:bundle-version='5.5.17'
> cannot be resolved
> 3. Referenced element 'enablement' is not defined elementAdapters.exsd
> /org.eclipse.birt.report.designer.ui/schema line 92
> 4. Referenced element 'enablement' is not defined
> reportItemEditpart.exsd /org.eclipse.birt.report.designer.ui/schema line 51
> I have seen the bug report for errors 3 and 4. (Bugzilla Bug 310987)
> Clearly I have missed something. Could it be because the all in one BIRT
> is version 4.2 and the tagged version I checked out is 3.7? Thank you.
>
>
>
Re: Problems building BIRT 3.7.1 from instructions [message #906456 is a reply to message #906212] Sat, 01 September 2012 10:33 Go to previous messageGo to next message
Pamela White is currently offline Pamela White
Messages: 11
Registered: May 2011
Junior Member
The plugin is org.eclipse.birt.report.designer.ui/scheme for the enablement error
and /org.eclipse.birt.report.viewer/META-INF for the bundle issue. Thank you.
Re: Problems building BIRT 3.7.1 from instructions [message #908007 is a reply to message #906456] Tue, 04 September 2012 10:39 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

In my build the org.eclipse.birt.report.viewer plugin has a dependency
on org.apache.jasper but it is marked as optional. Open the plugin.xml
of the viewer plugin and select the dependencies tab, select the jasper
plugin and click on properties. Make sure it is marked as optional. Do
a project->clean.

Jason


On 9/1/2012 10:33 AM, Pamela White wrote:
> The plugin is org.eclipse.birt.report.designer.ui/scheme for the
> enablement error
> and /org.eclipse.birt.report.viewer/META-INF for the bundle issue. Thank
> you.
Re: Problems building BIRT 3.7.1 from instructions [message #908172 is a reply to message #908007] Tue, 04 September 2012 17:40 Go to previous messageGo to next message
Pamela White is currently offline Pamela White
Messages: 11
Registered: May 2011
Junior Member
index.php/fa/11385/0/Thank you. That removed the jasper dependency issue.
I installed EMF+XSD SDK 2.7.0 to the allinone. Wiped the workspace, re-installed the eclipse allinone, unzipped and installed the other packages suggested(DTP,WTP,GEF,Framework).
Still getting the
Description Resource Path Location Type
Referenced element 'enablement' is not defined elementAdapters.exsd /org.eclipse.birt.report.designer.ui/schema line 92 Plug-in Problem
Description Resource Path Location Type
Referenced element 'enablement' is not defined reportItemEditpart.exsd /org.eclipse.birt.report.designer.ui/schema line 51 Plug-in Problem

Continued research sort of suggests that the expressionLanguage.exsd file is missing or not being pointed at properly by the plugin. Have supplied a screenshot of editing of the extension showing the missing schema file. Thank you.
Re: Problems building BIRT 3.7.1 from instructions [message #908596 is a reply to message #908172] Wed, 05 September 2012 12:10 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

In your install do you have the org.eclipse.core.expressions_version.jar
plugin?
Check the dependencies tab for that plugin to verify that there is a
reference to it.

Jason


On 9/4/2012 5:40 PM, Pamela White wrote:
> Thank you. That removed the jasper dependency issue.
> I installed EMF+XSD SDK 2.7.0 to the allinone. Wiped the workspace, re-installed the eclipse allinone, unzipped and installed the other packages suggested(DTP,WTP,GEF,Framework).
> Still getting the
> Description Resource Path Location Type
> Referenced element 'enablement' is not defined elementAdapters.exsd /org.eclipse.birt.report.designer.ui/schema line 92 Plug-in Problem
> Description Resource Path Location Type
> Referenced element 'enablement' is not defined reportItemEditpart.exsd /org.eclipse.birt.report.designer.ui/schema line 51 Plug-in Problem
>
> Continued research sort of suggests that the expressionLanguage.exsd file is missing or not being pointed at properly by the plugin. Have supplied a screenshot of editing of the extension showing the missing schema file. Thank you.
>
Re: Problems building BIRT 3.7.1 from instructions [message #915578 is a reply to message #908596] Mon, 17 September 2012 11:07 Go to previous messageGo to next message
Pamela White is currently offline Pamela White
Messages: 11
Registered: May 2011
Junior Member
By way of an update as I may not be the only one with problems.
I do have the jar you mentioned org.eclipse.core.expressions_3.4.400.v20120523-2004.jar. And it is in the dependencies of org.eclipse.birt.report.designer.ui . It does not contain a schema. (See image 1. index.php/fa/11520/0/)
So. I edited the jar, added the schema and associated files. Turned off the jarsigner. It finally built without errors. Never mind the errors listed in the Plug in Developer it built cleanly in the Java View.
On to the viewservlets.jar creation.
That step failed even though the build indicated success.(see image3 index.php/fa/11522/0/)
When I started digging for problems I saw the following 'source.birt/WEB-INF/lib/viewservlets.jar build entry missing'.(see image 2 index.php/fa/11521/0/).
Ok Great guess this why there is no viewservlets.jar.
I really like BIRT. I think it is a fantastic tool. But I have spent the better part of two weeks trying to accomplish building it. I followed the directions in the book and on the wiki. Realistically I never expected BIRT to build as easily as written and would perhaps take a few days at most, but two weeks? So as one final attempt I checked out HEAD from CVS as projects.(Although the directions said not to. Checking out from CVS seems to have fewer errors than GIT cloning etc.) And. It worked, the viewservlets.jar was created. What Have I Missed? What am I doing incorrectly? I both cloned in GIT and checked out from CVS into clean workspaces several Releases and got insane numbers of errors. The best I achieved was the baseline error and the two schema missing enablement errors. Seriously the whole process seemed pretty straight forward in the book!
  • Attachment: Image 1.png
    (Size: 13.92KB, Downloaded 537 times)
  • Attachment: Image 2.PNG
    (Size: 61.38KB, Downloaded 528 times)
  • Attachment: Image 3.PNG
    (Size: 58.26KB, Downloaded 573 times)
Re: Problems building BIRT 3.7.1 from instructions [message #915660 is a reply to message #915578] Mon, 17 September 2012 13:44 Go to previous message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Since the last version of the Book came out the source has been moved from CVS to Git. I built the latest 3.7.2/4.2 builds and did not see the errors. Can you open a bugzilla entry to show these issues. Two weeks is definitely to long.

Jason
Previous Topic:radar chart, highlighting only one radarline
Next Topic:Best performance question
Goto Forum:
  


Current Time: Wed Aug 20 04:48:08 EDT 2014

Powered by FUDForum. Page generated in 0.02421 seconds